using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkFlow;
using GxPress.Request.App.Flow;
using Datory;
using GxPress.Entity.WorkMeeting;
using GxPress.Entity.WorkCar;

namespace GxPress.Repository.Interface.WorkCar
{
    public interface ICarOrderRepository : IRepository
    {
        Task<int> InsertAsync(CarOrder item);

        Task<IEnumerable<CarOrder>> GetListAsync(int userId);

        Task<bool> DeleteAsync(int orderId);

        Task DeleteByCarIdAsync(int carId);

        Task<IEnumerable<int>> GetOrderedCarIds(int typeId, DateTime startDate, DateTime endDate);
    }
}